Page MenuHomePhabricator

[EPIC] How to deal with other wikis sharing Commons content?
Open, Needs TriagePublic

Description

We have this

Given a filename exists on commons, but doesn't on another wiki website, one can visit that filename on the other website and it'll load the version from Commons.
E.g. https://en.wikipedia.org/wiki/File:2019-01-13_Commons_Structured_data_captions.png is actually https://commons.wikimedia.org/wiki/File:2019-01-13_Commons_Structured_data_captions.png

We have no plan for InstantCommons'ed MediaInfo content.

  • do we want to display captions and/or statements on other wikis?
  • do we want to allow editing captions and/or statements from other wikis?
    • do we need to consult the community about procedures for editing those things from other wikis?
    • which permissions apply?

etc. etc.

We want this

A plan for InstantCommons'ed content.

Acceptance Criteria

  • Created tickets for how we want to do this

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2019, 10:58 AM
matthiasmullie renamed this task from How to deal with other wikis sharing Commons content? to [EPIC] How to deal with other wikis sharing Commons content?.Apr 16 2019, 12:13 PM
matthiasmullie updated the task description. (Show Details)

Current status: MediaInfo content is included in other wikis.
E.g. https://en.wikipedia.org/wiki/File:2019-01-13_Commons_Structured_data_captions.png has unstyled (because MediaInfo is not installed on enwiki) captions that it got from Commons.
I've submitted T221071: We don't want MediaInfo content to show up on wikis sharing Commons files to hide MediaInfo content from other wikis for now (because it looks terrible), which is probably the easiest solution right now.

If we do want MediaInfo content to show up on other wikis (I honestly don't know if we do, and to what extent), we're going to need to do more work.
This ticket is for figuring out what that will be.

Ha78na added a subscriber: Ha78na.Apr 16 2019, 5:04 PM

nice --good move on making this!

Ramsey-WMF closed this task as Resolved.Apr 25 2019, 1:51 AM
Ramsey-WMF claimed this task.
Ramsey-WMF added a subscriber: Ramsey-WMF.

Works on prod.

Ramsey-WMF reopened this task as Open.Apr 25 2019, 1:52 AM

oops. closed the wrong one :)

Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:54 PM